require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xwordpresssite',
  dscmeta_resource_friendly_name: 'xWordPressSite',
  dscmeta_resource_name: 'MSFT_xWordPressSite',
  dscmeta_module_name: 'xWordPress',
  dscmeta_module_version: '1.1.0.0',
  docs: 'The DSC xWordPressSite resource type.
         Automatically generated from version 1.1.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_uri: {
      type: 'String',
      desc: 'The WordPress Site URI.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_ensure: {
      type: "Optional[Enum['Present', 'Absent']]",
      desc: 'Should the module be present or absent.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_administratorcredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: 'The username and password of the WordPress administrator to create when creating the site.',
      behaviour: :parameter,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_administratoremail: {
      type: 'String',
      desc: 'The email address of the WordPress administrator to create.',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_title: {
      type: 'String',
      desc: 'The WordPress Site Default page title.',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
